Cancels a Withdrawal Request for a subaccount
curl --request DELETE \
--url https://api.anchorage-staging.com/v2/subaccounts/{subaccountId}/fiat/withdrawals/{transactionId} \
--header 'Api-Access-Key: <api-key>' \
--header 'Api-Signature: <api-signature>' \
--header 'Api-Timestamp: <api-timestamp>'import requests
url = "https://api.anchorage-staging.com/v2/subaccounts/{subaccountId}/fiat/withdrawals/{transactionId}"
headers = {
"Api-Signature": "<api-signature>",
"Api-Timestamp": "<api-timestamp>",
"Api-Access-Key": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {
'Api-Signature': '<api-signature>',
'Api-Timestamp': '<api-timestamp>',
'Api-Access-Key': '<api-key>'
}
};
fetch('https://api.anchorage-staging.com/v2/subaccounts/{subaccountId}/fiat/withdrawals/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"success": true
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Cancels a Withdrawal Request for a subaccount
Permissions required: Subaccount Cancels a Withdrawal Request
DELETE
/
subaccounts
/
{subaccountId}
/
fiat
/
withdrawals
/
{transactionId}
Cancels a Withdrawal Request for a subaccount
curl --request DELETE \
--url https://api.anchorage-staging.com/v2/subaccounts/{subaccountId}/fiat/withdrawals/{transactionId} \
--header 'Api-Access-Key: <api-key>' \
--header 'Api-Signature: <api-signature>' \
--header 'Api-Timestamp: <api-timestamp>'import requests
url = "https://api.anchorage-staging.com/v2/subaccounts/{subaccountId}/fiat/withdrawals/{transactionId}"
headers = {
"Api-Signature": "<api-signature>",
"Api-Timestamp": "<api-timestamp>",
"Api-Access-Key": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {
'Api-Signature': '<api-signature>',
'Api-Timestamp': '<api-timestamp>',
'Api-Access-Key': '<api-key>'
}
};
fetch('https://api.anchorage-staging.com/v2/subaccounts/{subaccountId}/fiat/withdrawals/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"success": true
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Headers
A hex-encoded Ed25519 signature of timestamp_epoch_seconds + uppercase(http_method) + request_path + request_body.
Construction example:
toHex(
ed25519Sign(
signing_key,
'{}{}{}{}'.format(timestamp_epoch_seconds, toUpper(httpMethod), httpRequestPath, httpBody)
)
)
Pattern:
^[0-9A-Fa-f]{128,160}$Current timestamp, represented as unix epoch seconds
Path Parameters
Unique Identifier for the subaccount
Unique Identifier for the Withdrawal Transaction
Response
Success or Failure of the request
Show child attributes
Show child attributes
Was this page helpful?